QMenu 
{
   background-color: white;
   border: 1px solid #C0C0C0;
}

QMenu::item 
{
   padding: 2px 20px 2px 25px;
   border: 1px solid transparent; /* reserve space for selection border */
   min-height: 27px;
}

QMenu::item:selected 
{
   border-color: darkblue;
   background: rgba(100, 100, 100, 150);
}

QMenu::icon:checked 
{
   /* appearance of a 'checked' icon */
   background: gray;
   border: 1px inset gray;
   position: absolute;
   top: 1px;
   right: 1px;
   bottom: 1px;
   left: 1px;
   image: url(:/icons/png/icon_checked_bk.png);
}

QMenu::separator 
{
   height: 2px;
   background: lightblue;
   margin-left: 10px;
   margin-right: 5px;
}

QMenu::indicator 
{
   width: 13px;
   height: 13px;
}

/* non-exclusive indicator = check box style indicator (see QActionGroup::setExclusive) */
QMenu::indicator:non-exclusive:unchecked 
{
   image: url(:/images/checkbox_unchecked.png);
}

QMenu::indicator:non-exclusive:unchecked:selected 
{
   image: url(:/images/checkbox_unchecked_hover.png);
}

QMenu::indicator:non-exclusive:checked 
{
   padding-left: 9px;
   image: url(:/icons/png/icon_checked_bk.png);
}

QMenu::indicator:non-exclusive:checked:selected 
{
   padding-left: 9px;
   image: url(:/icons/png/icon_checked_bk.png);
}

/* exclusive indicator = radio button style indicator (see QActionGroup::setExclusive) */
QMenu::indicator:exclusive:unchecked 
{
   image: url(:/images/radiobutton_unchecked.png);
}

QMenu::indicator:exclusive:unchecked:selected 
{
   image: url(:/images/radiobutton_unchecked_hover.png);
}

QMenu::indicator:exclusive:checked 
{
   image: url(:/images/radiobutton_checked.png);
}

QMenu::indicator:exclusive:checked:selected 
{
   image: url(:/images/radiobutton_checked_hover.png);
}

